SDL_DirectFB_shape.h File Reference
`#include <directfb.h>`
`#include "../SDL_sysvideo.h"`
`#include "SDL_shape.h"`
Include dependency graph for SDL_DirectFB_shape.h:

Go to the source code of this file.

## Data Structures

struct | SDL_ShapeData

## Functions

SDL_WindowShaper * | DirectFB_CreateShaper (SDL_Window *window)
int | DirectFB_ResizeWindowShape (SDL_Window *window)
int | DirectFB_SetWindowShape (SDL_WindowShaper *shaper, SDL_Surface *shape, SDL_WindowShapeMode *shapeMode)

## Function Documentation

## DirectFB_CreateShaper()

SDL_WindowShaper* DirectFB_CreateShaper | ( | SDL_Window * | window | ) |

## DirectFB_ResizeWindowShape()

int DirectFB_ResizeWindowShape | ( | SDL_Window * | window | ) |

## DirectFB_SetWindowShape()

int DirectFB_SetWindowShape | ( | SDL_WindowShaper * | shaper,
|  | SDL_Surface * | shape,
|  | SDL_WindowShapeMode * | shapeMode
| ) |  |